GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions
grpc::RpcMethod Class Reference

`#include <rpc_method.h>`

## Public Types
enum | RpcType { NORMAL_RPC = 0, CLIENT_STREAMING, SERVER_STREAMING, BIDI_STREAMING }

## Public Member Functions
| RpcMethod (const char *name, RpcType type, void *channel_tag)
const char * | name () const
RpcType | method_type () const
void * | channel_tag () const

## Member Enumeration Documentation

enum grpc::RpcMethod::RpcType

Enumerator
NORMAL_RPC |
CLIENT_STREAMING |
SERVER_STREAMING |
BIDI_STREAMING |

## Constructor & Destructor Documentation

grpc::RpcMethod::RpcMethod | ( | const char * | name,
|  | RpcType | type,
|  | void * | channel_tag
| ) |  |
| inline

## Member Function Documentation

void* grpc::RpcMethod::channel_tag | ( |  | ) | const
| inline

RpcType grpc::RpcMethod::method_type | ( |  | ) | const
| inline

const char* grpc::RpcMethod::name | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- include/grpc++/impl/rpc_method.h